Generate event
curl --request GET \
--url https://api.neynar.com/v2/farcaster/app_host/user/event/ \
--header 'x-api-key: <api-key>'import requests
url = "https://api.neynar.com/v2/farcaster/app_host/user/event/"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.neynar.com/v2/farcaster/app_host/user/event/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event": "<string>",
"notificationDetails": {
"token": "<string>",
"url": "<string>"
}
}{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}Mini App Hosts
Generate event
Returns event object for app host events. Used if the app host intends to sign the event message instead of using Neynar-hosted signers.
GET
/
v2
/
farcaster
/
app_host
/
user
/
event
/
Generate event
Node.js SDK
🔗 SDK Method: appHostGetEvent Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.Authorizations
API key to authorize requests
Query Parameters
The domain of the mini app
Example:
"demo.neynar.com"
The FID of the user who initiated the event
Required range:
x >= 1The type of event
Available options:
frame_added, frame_removed, notifications_enabled, notifications_disabled Response
Success
Legacy event type corresponding to the requested event type:
- frame_added: User adds a mini app to their account
- frame_removed: User removes a mini app from their account
- notifications_enabled: User enables notifications for a mini app
- notifications_disabled: User disables notifications for a mini app
Details for notification setup, only present when event is notifications_enabled
Show child attributes
Show child attributes
Was this page helpful?